﻿<Window x:Class="MofoBot.Bot.Uol.Forms.RoomPicker"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        Title="RoomPicker" MinHeight="500" MinWidth="600" WindowStartupLocation="CenterScreen" Loaded="Window_Loaded" WindowStyle="ToolWindow">
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition></ColumnDefinition>
            <ColumnDefinition></ColumnDefinition>
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition Height="25"></RowDefinition>
            <RowDefinition></RowDefinition>
            <RowDefinition Height="40"></RowDefinition>
        </Grid.RowDefinitions>
        <Grid Grid.Column="0" Grid.Row="0">
            <Grid.ColumnDefinitions>
                <ColumnDefinition></ColumnDefinition>
                <ColumnDefinition Width="25"></ColumnDefinition>
            </Grid.ColumnDefinitions>
            <TextBox Grid.Column="0" Name="search" KeyUp="search_KeyUp"></TextBox>
            <Button Grid.Column="1" Width="25" Click="Button_Click">Ok</Button>
        </Grid>
        <ListBox Grid.Row="1" Grid.Column="0" Name="themes" SelectionChanged="themes_SelectionChanged"></ListBox>
        <DataGrid Grid.Row="0" Grid.Column="1" Grid.RowSpan="2" Name="rooms" AutoGenerateColumns="False" SelectionMode="Single">
            <DataGrid.Columns>
                <DataGridTemplateColumn Header="Nome" IsReadOnly="True">
                    <DataGridTemplateColumn.CellTemplate>
                        <DataTemplate>
                            <DataGridCell Content="{Binding Name}"></DataGridCell>
                        </DataTemplate>
                    </DataGridTemplateColumn.CellTemplate>
                </DataGridTemplateColumn>
                <DataGridTemplateColumn Header="Usuarios Online" IsReadOnly="True">
                    <DataGridTemplateColumn.CellTemplate>
                        <DataTemplate>
                            <DataGridCell Content="{Binding Online}"></DataGridCell>
                        </DataTemplate>
                    </DataGridTemplateColumn.CellTemplate>
                </DataGridTemplateColumn>
            </DataGrid.Columns>
        </DataGrid>
        <StackPanel Grid.Row="2" Grid.Column="1" Margin="4" Height="25" Orientation="Horizontal" HorizontalAlignment="Right">
            <Button Click="Button_Click_2" Width="70" HorizontalAlignment="Right" Margin="0,0,0,0">Cancelar</Button>
            <Button Click="Button_Click_1" Width="50" HorizontalAlignment="Right" Margin="5,0,0,0">Ok</Button>
        </StackPanel>
    </Grid>
</Window>
